Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.model
Class AbstractSubResourceLocator

    java.lang.Object
      com.sun.jersey.api.model.AbstractMethod
          com.sun.jersey.api.model.AbstractSubResourceLocator

All Implemented Interfaces:
  AbstractModelComponent, Parameterized, PathAnnotated

    public class AbstractSubResourceLocator

extends AbstractMethod
implements PathAnnotated, Parameterized, AbstractModelComponent

Abstraction for a sub resource locator

Constructor Summary
`AbstractSubResourceLocator(java.lang.reflect.Method method, PathValue uriPath)` Creates a new instance of AbstractSubResourceLocator

Method Summary
`void` | `accept(AbstractModelVisitor visitor)`
`java.util.List<AbstractModelComponent>` | `getComponents()`
`java.util.List<Parameter>` | `getParameters()`
`PathValue` | `getPath()`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jersey.api.model.AbstractMethod
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSubResourceLocator

    public AbstractSubResourceLocator(java.lang.reflect.Method method,
                                      PathValue uriPath)

  Creates a new instance of AbstractSubResourceLocator

Method Detail

### getPath

    public PathValue getPath()

  Specified by:
    `getPath` in interface `PathAnnotated`

### getParameters

    public java.util.List<Parameter> getParameters()

  Specified by:
    `getParameters` in interface `Parameterized`

### accept

    public void accept(AbstractModelVisitor visitor)

  Specified by:
    `accept` in interface `AbstractModelComponent`

### getComponents

    public java.util.List<AbstractModelComponent> getComponents()

  Specified by:
    `getComponents` in interface `AbstractModelComponent`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.